package com.dgtly.system.service;

import com.dgtly.system.domain.TransferLog;
import java.util.List;

/**
 * 信息传输日志记录Service接口
 * 
 * @author njs
 * @date 2023-04-12
 */
public interface ITransferLogService 
{
    /**
     * 查询信息传输日志记录
     * 
     * @param logId 信息传输日志记录ID
     * @return 信息传输日志记录
     */
    public TransferLog selectTransferLogById(Long logId);

    /**
     * 查询信息传输日志记录列表
     * 
     * @param transferLog 信息传输日志记录
     * @return 信息传输日志记录集合
     */
    public List<TransferLog> selectTransferLogList(TransferLog transferLog);

    /**
     * 新增信息传输日志记录
     * 
     * @param transferLog 信息传输日志记录
     * @return 结果
     */
    public int insertTransferLog(TransferLog transferLog);

    /**
     * 修改信息传输日志记录
     * 
     * @param transferLog 信息传输日志记录
     * @return 结果
     */
    public int updateTransferLog(TransferLog transferLog);

    /**
     * 批量删除信息传输日志记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTransferLogByIds(String ids);

    /**
     * 删除信息传输日志记录信息
     * 
     * @param logId 信息传输日志记录ID
     * @return 结果
     */
    public int deleteTransferLogById(Long logId);
}
